﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="ASPGridVS2010._Default" %>


<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <div>
        <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" >
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="90">
                    <EditTemplate Create="create" Read="read" Write="write" />
                </ej:Column>
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" AllowEditing="False" TextAlign="Right"  Width="90" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="80" Format="{0:C}" EditType="Numeric" />
                <ej:Column Field="ShipName" HeaderText="ShipName" Width="150" />
                <ej:Column Field="ShipCountry" HeaderText="ShipCountry" Width="90" EditType="Dropdown" />
            </Columns>
            <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="InlineForm"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
        </ej:Grid>


    </div>
    <script type="text/javascript">
        function create() {
            return $("<input>");
        }

        function write(args) {
            obj = $('#<%= OrdersGrid.ClientID %>').ejGrid('instance');
            var proxy = obj._id; //grid id

            //render autocomplete control 
            args.element.ejAutocomplete({
                width: "100%",
                dataSource: obj.model.columns[1].dataSource,  //bind datasource
                showPopupButton: true,
                highlightSearch: true,
                enableDistinct: true,
                fields: { text: "text", key: "ID" },
                watermarkText: "Select a country",
                filterType: 'contains',
                select: function (args) {
                  //select event in autocomplete
                        $.ajax({
                            url: "/Default.aspx/dropdowndata",
                            type: "POST",
                            contentType: "application/json; charset=utf-8",
                            data: JSON.stringify({ id: args.value }),
                            dataType: "json",
                            success: function (data) {
                                $('#' + proxy + 'EmployeeID').val(data.d);  //binding value to text box
                            }
                        });
                    },
                value: args.rowdata !== undefined ? args.rowdata["CustomerID"] : ""
            });
        }

        function read(args) {
            args.ejAutocomplete('suggestionList').css('display', 'none');
            return args.ejAutocomplete("getValue");
        }
        $(function () {
            $('#<%= OrdersGrid.ClientID %>').keyup(function (e) {
                if (e.keyCode == 40 && $(e.target).hasClass("e-autocomplete")) {
                    var gridid = $('#<%= OrdersGrid.ClientID %>').attr("id");
                    var autocomp = $("#" + gridid + "CustomerID").ejAutocomplete("instance")
                    if (autocomp._getActiveText() != "No suggestions")
                        $(e.target).val(autocomp._getActiveText());
                }
            });
        });
    </script>
</asp:Content>
